.coming-soon-page {
  .e-body {
    .fold {
      &.two {
        @import '../../../themes/variables/font';
        @import '../../../themes/variables/color';
        @import '../../../themes/mixins/animation';
        @import '../../../themes/mixins/utils';
        @import '../../../themes/mixins/adaptive';

        /* DESKTOP ONLY */
        @include desktop {
          display: flex;
          position: relative;
          align-items: flex-end;

          .container {
            display: flex;
            margin: auto;

            width: 100%;
            max-width: 114rem;
            height: 100%;
            max-height: 80rem;

            .left {
              $media-size: 50rem;

              $normal-size: 3.7rem;
              $active-size: 8.8rem;

              display: flex;
              position: relative;
              align-items: flex-end;

              margin-right: auto;
              margin-bottom: 12.18vh;

              .menu-cover {
                width: $media-size;
                height: $media-size;

                &.animate {
                  animation: fade-in-down 1s;
                }
              }

              .menu {
                position: relative;
                margin-left: -$media-size;

                width: $media-size;
                height: $media-size;

                &,
                .menu-item {
                  transform: rotate(0deg);
                  transition: transform 1.1s ease;
                }

                .menu-item {
                  display: flex;
                  position: absolute;
                  align-items: center;
                  justify-content: flex-start;

                  width: auto;
                  height: $normal-size;

                  .menu-label {
                    transition: height 1.1s ease;

                    width: inherit;
                    height: $normal-size - 0.7rem;

                    object-fit: contain;
                  }

                  &:hover {
                    cursor: pointer;
                  }

                  &.active {
                    height: $active-size;

                    .menu-label {
                      height: $active-size - 1.6rem;
                    }
                  }
                }

                /* ACTIVE STATE */
                &.active {
                  &-1 {
                    $deg: 0deg;
                    transform: rotate($deg);

                    .menu-item {
                      transform: rotate(-#{$deg});
                    }
                  }

                  &-2 {
                    $deg: 8deg;
                    transform: rotate(-$deg);

                    .menu-item {
                      transform: rotate(#{$deg});
                    }
                  }

                  &-3 {
                    $deg: 16deg;
                    transform: rotate(-$deg);

                    .menu-item {
                      transform: rotate(#{$deg});
                    }
                  }

                  &-4 {
                    $deg: 8deg;
                    transform: rotate(-$deg);

                    .menu-item {
                      transform: rotate(#{$deg});
                    }
                  }

                  /* When active item 1 */
                  &-1 {
                    .menu-item {
                      &:nth-child(1) {
                        bottom: 28.4rem;
                        left: 37.1rem;
                      }

                      &:nth-child(2) {
                        bottom: 19.8rem;
                        left: 45.9rem;
                      }

                      &:nth-child(3) {
                        bottom: 11rem;
                        left: 41.1rem;
                      }

                      &:nth-child(4) {
                        bottom: 2.2rem;
                        left: 34.6rem;
                      }
                    }
                  }

                  /* When active item 2 */
                  &-2 {
                    .menu-item {
                      &:nth-child(1) {
                        bottom: 35.1rem;
                        left: 42rem;
                      }

                      &:nth-child(2) {
                        bottom: 20.6rem;
                        left: 40.4rem;
                      }

                      &:nth-child(3) {
                        bottom: 11.2rem;
                        left: 41.3rem;
                      }

                      &:nth-child(4) {
                        bottom: 3.4rem;
                        left: 37.5rem;
                      }
                    }
                  }

                  /* When active item 3 */
                  &-3 {
                    .menu-item {
                      &:nth-child(1) {
                        bottom: 38.6rem;
                        left: 40rem;
                      }

                      &:nth-child(2) {
                        bottom: 30.4rem;
                        left: 44.3rem;
                      }

                      &:nth-child(3) {
                        bottom: 17.1rem;
                        left: 34.7rem;
                      }

                      &:nth-child(4) {
                        bottom: 8.9rem;
                        left: 42.7rem;
                      }
                    }
                  }

                  /* When active item 4 */
                  &-4 {
                    .menu-item {
                      &:nth-child(1) {
                        bottom: 36.8rem;
                        left: 41.2rem;
                      }

                      &:nth-child(2) {
                        bottom: 29.1rem;
                        left: 45.2rem;
                      }

                      &:nth-child(3) {
                        bottom: 20.4rem;
                        left: 43.8rem;
                      }

                      &:nth-child(4) {
                        bottom: 5.7rem;
                        left: 36.8rem;
                      }
                    }
                  }
                }
              }
            }

            .right {
              display: flex;
              flex-direction: column;
              align-items: flex-end;
              justify-content: flex-start;
              margin-right: 7.1rem;

              /* margin-top: 11.93vh; */

              .title {
                margin-right: 3.44vw;
                margin-bottom: 3.85vh;
                width: 22.48vw;

                color: $brown-1;
                font-family: $specific-font-1;
                font-size: 7rem;
                letter-spacing: 0;
                line-height: 1.41;
                text-align: left;
                white-space: nowrap;
              }

              .description {
                width: 18.42vw;

                color: $blue-1;
                font-size: 1.3rem;
                font-weight: 300;
                line-height: 1.75;
                user-select: none;
                text-align: right;
              }
            }
          }
        }
      }
    }
  }
}
